$(document).ready(function () {

    $('#tipo').focus();

    $('#tipo').change(function () {

        if ($('#tipo').val() == 'pf') {
            $('.cpf').css("display", "table-row");
            $('.cnpj').css("display", "none");
        }

        if ($('#tipo').val() == 'pj') {
            $('.cpf').css("display", "none");
            $('.cnpj').css("display", "table-row");
        }
    });

    if ($('#pessoajuridica').val() == 1) {
        $('.cpf').css("display", "none");
        $('.cnpj').css("display", "table-row");
    }
    else {
        $('.cpf').css("display", "table-row");
        $('.cnpj').css("display", "none");
    }

    $("#btnSalvar").click(function () {

        if ($('#tipo').val() == 'pf') {

            if ($('#cpf').val() == '') {

                alert('O campo CPF é obrigatório');
                $('#cpf').focus();
                return false;
            }

        }

        if ($('#tipo').val() == 'pj') {

            if ($('#cpnj').val() == '') {

                alert('O campo CNPJ é obrigatório');
                $('#cnpj').focus();
                return false;
            }

        }

        if ($('#nomefantasia').val() == '') {

            alert('O campo nome fantasia é obrigatório');
            $('#nomefantasia').focus();
            return false;
        }

        if ($('#razaosocial').val() == '') {

            alert('O campo razăo social é obrigatório');
            $('#razaosocial').focus();
            return false;
        }

        if ($('#estados').val() == '') {

            alert('Selecione um estado');
            $('#estados').focus();
            return false;
        }

        if ($('#cidades').val() == '') {

            alert('Selecione uma cidade');
            $('#cidades').focus();
            return false;
        }

        if ($('#contas').val() == '') {

            alert('Selecione uma conta');
            $('#contas').focus();
            return false;
        }

        if ($('#contas_resultado').val() == '') {

            alert('O campo conta resultado é obrigatório');
            $('#contas_resultado').focus();
            return false;
        }

        if ($('#email').val() != '') {
            //validando o e-mail
            var emailRegex = new RegExp(/^([\w\.\-]+)@([\w\-]+)((\.(\w){2,3})+)$/i);
            var valid = emailRegex.test($('#email').val());
            if (!valid) {
                alert('O campo E-mail está incorreto');
                $('#email').focus();
                return false;
            }
        }

        $('#hdnAction').val() = 'save';

    });
});